/**
* Font family utility
*
* naming convention: gl-font-{family-name}
* Notes:
* - Strictly based on design system typography specs
*/
@mixin gl-font-monospace {
  font-family: $gl-monospace-font;
}

@mixin gl-font-regular {
  font-family: $gl-regular-font;
}

/**
* Font size utility
*
* naming convention: gl-font-{type-scale-size}
* Notes:
* - Strictly based on design system type scale. See
* $gl-type-scale for further references.
*/
@mixin gl-font-sm {
  font-size: $gl-type-scale-sm;
}

@mixin gl-font-base {
  font-size: $gl-type-scale-base;
}

@mixin gl-font-lg {
  font-size: $gl-type-scale-lg;
}

@mixin gl-font-xl {
  font-size: $gl-type-scale-xl;
}

@mixin gl-font-2xl {
  font-size: $gl-type-scale-2xl;
}

@mixin gl-font-3xl {
  font-size: $gl-type-scale-3xl;
}

@mixin gl-font-icon-size {
  font-size: $default-icon-size;
}

/**
* Font-weight utilities.
*
* naming convention: gl-font-weight-[bold|normal]
*/
@mixin gl-font-weight-normal {
  font-weight: $gl-font-weight-normal;
}

@mixin gl-font-weight-bold {
  font-weight: $gl-font-weight-bold;
}

/**
* Line height utilities.
*
* naming convention: gl-line-height-{line-height-in-pixels}
* notes:
* - Strictly based in gl-line-height-{n} variables
*/
@mixin gl-line-height-0 {
  line-height: 0;
}

@mixin gl-line-height-normal {
  line-height: $gl-line-height;
}

@mixin gl-line-height-20 {
  line-height: $gl-line-height-20;
}

@mixin gl-line-height-24 {
  line-height: $gl-line-height-24;
}

@mixin gl-line-height-32 {
  line-height: $gl-line-height-32;
}

@mixin gl-line-height-52 {
  line-height: $gl-line-height-52;
}
